Package com.pixelmed.event

## Class ApplicationEventDispatcher

- java.lang.Object
- - com.pixelmed.event.ApplicationEventDispatcher

- All Implemented Interfaces:
    `EventDispatcher`

      public class ApplicationEventDispatcher
      extends java.lang.Object
      implements EventDispatcher

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(Listener l)` |
    `static ApplicationEventDispatcher` | `getApplicationEventDispatcher()` |
    `void` | `processEvent​(Event event)` |
    `void` | `removeAllListenersForEventContext​(EventContext context)` |
    `void` | `removeListener​(Listener l)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getApplicationEventDispatcher

          public static ApplicationEventDispatcher getApplicationEventDispatcher()

    - #### addListener

          public void addListener​(Listener l)

      Specified by:
        `addListener` in interface `EventDispatcher`
      Parameters:
        `l` -

    - #### removeListener

          public void removeListener​(Listener l)

      Specified by:
        `removeListener` in interface `EventDispatcher`
      Parameters:
        `l` -

    - #### removeAllListenersForEventContext

          public void removeAllListenersForEventContext​(EventContext context)

      Specified by:
        `removeAllListenersForEventContext` in interface `EventDispatcher`
      Parameters:
        `context` - does nothing if null (i.e., does not remove listeners with null context)

    - #### processEvent

          public void processEvent​(Event event)

      Specified by:
        `processEvent` in interface `EventDispatcher`
      Parameters:
        `event` -